#include <iostream>
#include <algorithm>
using namespace std;
int niz[1000009];
int main(){
    int n, x, res;
    cin>> n >> x;
    for(int i=1; i<=n; i++) cin>> niz[i];
    
    sort(niz+1, niz+n+1);
    
    if(niz[1]<x & niz[n]<x) res=x-niz[1];
    else if(niz[1]<x & niz[n]>x & x-niz[1]>=niz[n]-x) res=niz[n]-niz[1]+niz[n]-x;
    else if(niz[1]<x & niz[n]>x & x-niz[1]<=niz[n]-x) res=x-niz[1]+niz[n]-niz[1];
    else res=niz[n]-x;
    
    cout<<res<<endl;
    return 0;
}